/* ==========================================================================
    LAYOUTS
    -------------------------------------------------------------------------
    Grid
      : Sidebars (Override/complement)
    Section
      : Registered (Override/complement)
      : Tabs in header (Override/complement)
      : Static pages (Override/complement)

    ELEMENTS
    -------------------------------------------------------------------------
    Buttons
      : Main
        : Primary (Override/complement)
    Indicators
      : Date (New)
      : Pills (New)
        : Good (New)
        : Great (New)
        : Skills (New)
        : Strong (New)

    COMPONENTS
    -------------------------------------------------------------------------
    Billboards
      : Articles as billboards (New)
    Tables
      : Articles as tables(Override/complement)
    Signature
      : Articles as signatures (New)
    Lists
      : Skills (New)
    Navigation
      : Steps bar (Override/complement)
      : Tabs (Inverting clickable colors - commented and ready to use)
    Expandable

    WIDGETS
    -------------------------------------------------------------------------
    Attachment upload (New)
    Search
      : Visible (Override/complement)

    MODULES
    -------------------------------------------------------------------------
    Banner
      : Home (New)
      : Secondary (New)
    Bottom banner

    PAGETYPES
    -------------------------------------------------------------------------
    Home
    Search jobs
      : Cards
        : Result (Override/complement)
    Static pages
      : Side images

    UTILITIES
    -------------------------------------------------------------------------
    XXX

    PLUGINS
    -------------------------------------------------------------------------
    XXX
========================================================================== */

/*
    LAYOUTS/Grid: Sidebars (Override/complement)
*/

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .grid__item--talent-community {
        order: 1;
    }
}

/* Media query to target only desktop */
@media all and (min-width: 1025px) {
    .grid--profile.grid--2--sidebar--subtabs {
        column-gap: var(--t-gs--space--0);
    }

    .grid--profile > .grid__item--subtabs {
        padding-inline-end: var(--t-tc--grid--columns--1);
    }
}

/*
    LAYOUTS/Section: Registered
*/

/* Media query to target only desktop */
@media all and (min-width: 1025px) {
    .section__content--registered {
        margin-inline-start: auto;
        margin-inline-end: auto;
        inline-size: 100%;
        max-inline-size: calc(var(--t-tc--content--w--full) - var(--t-tc--grid--columns--1));
    }
}

/*
    ELEMENTS/Buttons: Main: Primary (Override/complement)
    ↳ to be deleted when we get the Application Flow wizard properly configured
*/

/*
    LAYOUTS/Section: Share widget tablet/mobile (Override/complement)
*/

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .aside .article--share {
        position: fixed;
        inset-block-end: 0;
        z-index: 5;
        padding-block: var(--t-gs--space--m);

        & .article__header {
            border: var(--t-gs--border--width--0);
            clip: rect(0 0 0 0);
            -webkit-clip-path: inset(50%);
            clip-path: inset(50%);
            block-size: .1rem;
            margin-block: -0.1rem;
            margin-inline: -0.1rem;
            overflow: hidden;
            padding-block: var(--t-gs--space--0);
            padding-inline: var(--t-gs--space--0);
            position: absolute;
            inline-size: .1rem;
            white-space: nowrap; /* For long content, line feeds are not interpreted as spaces and small width causes content to wrap 1 word per line: https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe */
        }

        & .article__content {
            margin-block-start: var(--t-gs--space--0);
        }
    }
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .aside:has(.article--share) .article--actions {
        padding-block-end: calc(var(--t-tc--buttons--height) + (var(--t-gs--space--m) * 2));
    }

    .aside .article--share {
        inset-inline-start: 0;
        inset-inline-end: 0;
        inline-size: 100%;
        padding-inline: var(--t-tc--grid--laterals);
    }
}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .aside:has(.article--share) .article--actions {
        & .article__content {
            inline-size: calc(50% - var(--t-tc--grid--columns--gap) / 2);

            & .button-bar--cols-1 {
                --t-tc--button-bar__buttons--width: 100%;
            }
        }
    }

    .aside .article--share {
        inset-inline-end: 0;
        inline-size: calc(50% - var(--t-tc--grid--columns--gap) / 2);
        padding-inline-end: var(--t-tc--grid--laterals);

        .list--share {
            justify-content: flex-end;
        }
    }
}

.gotoButton {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--primary);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--primary);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--primary);
}

.gotoButton:hover {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--primary--hover);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--primary--hover);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--primary--hover);
}

.gotoButton:focus,
.gotoButton:active {
    --t-tc--buttons--outline--width: var(--t-gs--border--width--m);
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--primary--focus);
    --t-tc--buttons--border--width: var(--t-gs--border--width--m);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--primary--focus);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--primary--focus);
}

.gotoButton.button--disabled,
.gotoButton:disabled {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--primary--disabled);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--primary--disabled);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--primary--disabled);
}

/*
    ELEMENTS/Indicators: Date (New)
*/

:root {
    --t-tc--date--width: calc(var(--t-gs--size--base) * 15);
    --t-tc--date--height: calc(var(--t-gs--size--base) * 15);
    --t-tc--date--border--width: var(--t-gs--border--width--s);
    --t-tc--date--border--color: var(--t-gs--swatch--neutral--000);
    --t-tc--date--border--radius: var(--t-gs--border--radius--s);
    --t-tc--date--background--color: var(--t-gs--swatch--neutral--100);
    --t-tc--date--font--size: var(--t-gs--font--size--05);
    --t-tc--date--font--color: var(--t-gs--swatch--neutral--000);
}

.date {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: var(--t-tc--date--border--radius);
    border-width: var(--t-tc--date--border--width);
    border-style: solid;
    border-color: var(--t-tc--date--border--color);
    inline-size: var(--t-tc--date--width);
    block-size: var(--t-tc--date--height);
    background-color: var(--t-tc--date--background--color);
    color: var(--t-tc--date--font--color);
}

.date__day {
    font-size: var(--t-tc--date--font--size);
    font-weight: var(--t-gs--font--weight--bold);
    text-align: center;
    border-block-end-width: var(--t-tc--date--border--width);
    border-block-end-style: solid;
    border-block-end-color: var(--t-tc--date--font--color);
    inline-size: 100%;
}

.date__number {
    --t-tc--date--font--size: var(--t-gs--font--size--08);

    font-size: var(--t-tc--date--font--size);
    font-weight: var(--t-gs--font--weight--bold);
}

/* Media query to target only desktop */
@media all and (min-width: 1025px) {
    html[data-animations="default"] {
        .article--card--event {
            .date {
                --t-tc--date--font--color--transition--duration: 0.3s;
                --t-tc--date--background--color--transition--duration: 0.3s;

                transition-property: background-color, color;
                transition-duration: var(--t-tc--date--font--color--transition--duration), var(--t-tc--date--background--color--transition--duration);
                transition-timing-function: ease-in-out, ease-in-out;
            }

            &:hover .date {
                --t-tc--date--background--color: var(--t-gs--swatch--link--040);
                --t-tc--date--border--color: var(--t-gs--swatch--link--040);
                --t-tc--date--font--color: var(--t-gs--swatch--neutral--100);

                border: none;
                box-sizing: content-box;
            }

        }

    }
}

/*
    ELEMENTS/Indicators: Pills (New)
*/

:root {
    --t-tc--pill--text--color: var(--t-gs--swatch--neutral--000);
    --t-tc--pill--border--color: var(--t-gs--swatch--neutral--000);
    --t-tc--pill--background--color: var(--t-gs--color--fill--matching);
}

.pill,
.list--pills .list .list__item span {
    display: inline;
    border-start-start-radius: var(--t-gs--border--radius--xl);
    border-start-end-radius: var(--t-gs--border--radius--xl);
    border-end-start-radius: var(--t-gs--border--radius--xl);
    border-end-end-radius: var(--t-gs--border--radius--xl);
    font-size: var(--t-gs--font--size--03);
    padding-block: var(--t-gs--space--xs);
    padding-inline: var(--t-gs--space--s);
    background-color: var(--t-tc--pill--background--color);
    color: var(--t-tc--pill--text--color);
    font-weight: 400;
    vertical-align: middle;
}

/*
    ELEMENTS/Indicators: Pills (Within WIDGETS/Details)
*/

.article--details .article__content__view__field.pill {
    padding-block-end: var(--t-gs--space--xs);
}

/*
    ELEMENTS/Indicators: Pills: Blog (New)
*/

.pill--blog {
    --t-tc--pill--border--color: var(--t-gs--color--border--brand);
    --t-tc--pill--background--color: var(--t-gs--color--surface--brand);
}

/*
    ELEMENTS/Indicators: Pills: Detail (New)
*/

.pill--detail {
    --t-tc--pill--border--color: var(--t-gs--color--border--brand);
    --t-tc--pill--background--color: var(--t-gs--color--surface--brand);

    display: inline-block;
    margin-block-end: var(--t-gs--space--s);
    border-width: var(--t-gs--border--width--s);
    border-style: solid;
    border-color: var(--t-tc--pill--border--color);
}

/*
    ELEMENTS/Indicators: Pills: Good (New)
*/

.pill--good {
    --t-tc--pill--background--color: var(--t-gs--color--fill--matching--good);
}

/*
    ELEMENTS/Indicators: Pills: Great (New)
*/

.pill--great {
    --t-tc--pill--background--color: var(--t-gs--color--fill--matching--great);
}

/*
    ELEMENTS/Indicators: Pills: Strong (New)
*/

.pill--strong {
    --t-tc--pill--background--color: var(--t-gs--color--fill--matching--strong);
}

/*
    ELEMENTS/Indicators: Pills: Skills (New)
*/

.pill--skills,
.pill--blog,
.list--pills .list .list__item span {
    --t-tc--pill--border--color: var(--t-gs--color--border--brand);
    --t-tc--pill--text--color: var(--t-gs--color--text--brand);

    border-width: var(--t-gs--border--width--s);
    border-style: solid;
    border-color: var(--t-tc--pill--border--color);
}

.pill--skills-b {
    --t-tc--pill--border--color: var(--t-gs--color--border--brand);
    --t-tc--pill--text--color: var(--t-gs--color--text--brand);

    border-width: var(--t-gs--border--width--s);
    border-style: dashed;
    border-color: var(--t-tc--pill--border--color);
}

/*
    COMPONENTS/Cards: Billboards (New)
*/

:root {
    --t-tc--billboard--height: calc(var(--t-gs--size--base) * 80);
    --t-tc--billboard--border--radius: var(--t-gs--border--radius--m);
    --t-tc--billboard--background--position: center center;
    --t-tc--billboard--transform--scale: 1.2;
    --t-tc--billboard--filter--blur: calc(var(--t-gs--size--base) * 2);
    --t-tc--billboard__content--line--height: calc(var(--t-gs--size--base) * 6);
    --t-tc--billboard__content--font--color: var(--t-gs--color--text--on--fill--link--contrast);
    --t-tc--billboard__content--height--max: calc(var(--t-gs--size--base) * 50);
    --t-tc--billboard__after--background--color: var(--t-gs--swatch--brand--030);
    --t-tc--billboard__after--opacity: 0.7;
    --t-tc--billboard__after--transform--scale: 3;
}

.article--billboard {
    position: relative;
    block-size: var(--t-tc--billboard--height);
    border-radius: var(--t-tc--billboard--border--radius);
    overflow: hidden;
}

.article--billboard .article__banner__image {
    position: absolute;
    inset-block-start: 0;
    inset-block-end: 0;
    inset-inline-start: 0;
    inset-inline-end: 0;
    object-fit: cover;
    z-index: -1;
    block-size: 100%;
    inline-size: 100%;
}

.article--billboard .article__wrapper {
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 0;
    inset-inline-end: 0;
    padding-block-end: var(--t-gs--space--s);
    padding-inline: var(--t-gs--space--l);
    z-index: 1;
    inline-size: initial;
}

.article--billboard .article__header__text__title {
    --t-tc--title--font--color: var(--t-gs--swatch--neutral--100);

    display: -webkit-box;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    overflow: hidden;
}

.article--billboard .article__content {
    line-height: var(--t-tc--billboard__content--line--height);
    overflow: hidden;
    color: var(--t-tc--billboard__content--font--color);
    padding-block-end: var(--t-gs--space--l);
}

.article--billboard:after {
    content: "";
    position: absolute;
    inset-block-end: -50%;
    inset-inline-end: -50%;
    inline-size: 100%;
    block-size: 100%;
    background-color: var(--t-tc--billboard__after--background--color);
    border-radius: 50%;
    opacity: var(--t-tc--billboard__after--opacity);
    transform: scale(var(--t-tc--billboard__after--transform--scale));
}

/* Media query to target only desktop */
@media all and (min-width: 1025px) {
    html[data-animations="default"] {
        .article--billboard {
            --t-tc--billboard--transform--transition--duration: 0.3s;
            --t-tc--billboard--filter--transition--duration: 0.3s;
            --t-tc--billboard--color--transition--duration: 0.25s;
            --t-tc--billboard__content--height--max--transition--duration: 0.5s;
            --t-tc--billboard__content--opacity--transition--duration: 0.5s;
            --t-tc--billboard__content--padding--transition--duration: 0.25s;

            .article__banner__image {
                transition-property: transform, filter;
                transition-duration: var(--t-tc--billboard--transform--transition--duration), var(--t-tc--billboard--filter--transition--duration);
                transition-timing-function: ease-in-out, ease-in-out;
            }

            &:hover .article__banner__image {
                transform: scale(var(--t-tc--billboard--transform--scale));
                filter: blur(var(--t-tc--billboard--filter--blur));
            }

            .article__header__text__title {
                --t-tc--title--font--color: var(--t-gs--swatch--neutral--100);
                text-shadow: var(--t-gs--shadow--s--x) var(--t-gs--shadow--s--y) var(--t-gs--shadow--s--blur) var(--t-gs--shadow--xxl--swatch);

                transition-property: color;
                transition-duration: var(--t-tc--billboard--color--transition--duration);
                transition-timing-function: ease-in-out;
            }

            &:hover .article__header__text__title {
                --t-tc--title--font--color: var(--t-gs--color--text--on--fill--link--contrast);
            }

            .article__content {
                max-block-size: 0;
                opacity: 0;
                padding-block-end: var(--t-gs--space--0);
                transition-property: max-block-size, opacity, padding;
                transition-duration: var(--t-tc--billboard__content--height--max--transition--duration), var(--t-tc--billboard__content--opacity--transition--duration), var(--t-tc--billboard__content--padding--transition--duration);
                transition-timing-function: ease-in-out, ease-in-out, linear;
            }

            &:hover .article__content {
                max-block-size: var(--t-tc--billboard__content--height--max);
                opacity: 1;
                padding-block-end: var(--t-gs--space--l);
            }

            &::after {
                transform: scale(0);
                transition-property: transform;
                transition-duration: var(--t-tc--billboard--transform--transition--duration);
                transition-timing-function: ease-in-out;
            }

            &:hover::after {
                transform: scale(var(--t-tc--billboard__after--transform--scale));
            }
        }
    }
}

/*
    COMPONENTS/Tables: Articles as Tables (Override/complement)
*/

*:has(> *):not([aria-live="polite"]):not(.extra-panel):not(.article--task) ~ .article.article--applied {
    margin-block-start: var(--t-gs--space--0);
}

.grid__item>.article--applied:first-of-type {
    padding-block-start: var(--t-gs--space--xxl);
}

@media all and (min-width:751px) {
    .grid__item>.article--table:not(:last-of-type) {
        padding-block-end: var(--t-gs--space--xxl);
    }

    .grid__item>.article--table:not(:first-of-type) {
        padding-block-start: var(--t-gs--space--xxl);
    }
}

/*
    COMPONENTS: Signature (New)
*/

.article--signature {
    inline-size: auto;
    border-start-start-radius: 50% 50%;
    margin-inline: var(--t-gs--space--s);
    margin-block: var(--t-gs--space--s2);
    box-shadow: 0 .4rem .8rem .2rem rgba(0,0,0,0.10);
    padding-inline: var(--t-gs--space--l);
    padding-block: var(--t-gs--space--l);
}

.article--signature .article__header {
    --t-tc--thumbnail--width: calc(var(--t-gs--size--base) * 32);
    --t-tc--thumbnail--height: calc(var(--t-gs--size--base) * 32);
    display: flex;
    flex-direction: column;
}

.article--signature .article__header__text__title__phrase {
    padding-block-end: var(--t-gs--space--s);
    display: block;
}

.article--signature .article__header__image {
     align-self: flex-end;
}

.article--signature .article__header__text {
     align-self: flex-start;
     margin-block-start: var(--t-gs--space--l);
}

.article--signature .article__content__footer {
    display: inline-block;
    block-size: calc(var(--t-gs--size--base) * 7);
    margin-block-start: var(--t-gs--space--m2);
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .article--signature {
        box-shadow: unset;
    }

    .article--signature {
        padding: var(--t-gs--space--0);
    }

    .article--signature .article__header {
        flex-direction: row;
        column-gap: var(--t-gs--space--s2);
    }
    .article--signature .article__header__image {
        --t-tc--thumbnail--width: calc(var(--t-gs--size--base) * 24);
        --t-tc--thumbnail--height: calc(var(--t-gs--size--base) * 24);
    }
}

/*
    COMPONENTS/Lists: Skills (Within WIDGETS/Details)
*/

.article--details .article__content__view__field__value .list--pills .list {
    margin-inline-start: var(--t-gs--space--0);
    padding-inline-start: var(--t-gs--space--0);
}

.article--details .article__content__view__field__value .list--pills .list li + li {
    margin-block-start: var(--t-gs--space--0);
}

.list--pills .list {
    display: flex;
    flex-wrap: wrap;
    row-gap: var(--t-gs--space--s2);
    column-gap: var(--t-gs--space--s);
}

.list--pills .list .list__item {
    display: inline-flex;
}

/*
    COMPONENTS/Lists: Skills (Within WIDGETS/Skills)
*/

.list--skills:not(.list--skills--active) {
    display: none;
}

.list--skills {
    display: flex;
    flex-wrap: wrap;
    gap: var(--t-gs--space--s2);
}

.list--skills .list__item {
    display: inline-flex;
}

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .list--skills::-webkit-scrollbar {
        display: none;
    }
}

/*
    COMPONENTS/Navigation: Steps bar (Override/complement)
*/

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .list--steps .list__item__text__subtitle {
        margin-block-end: -.6rem;
        inline-size: calc(var(--t-gs--size--base) * 4);
        block-size: calc(var(--t-gs--size--base) * 4);
        text-indent: -999.9rem;
        overflow: hidden;
    }
}

/*
    COMPONENTS/Navigation: Tabs (Inverting clickable colors - commented and ready to use)
*/

/*
.tabs__list__item:not(.tabs__list__item--active),
.tabs__list__item:not(.tabs__list__item--active):link,
.tabs__list__item:not(.tabs__list__item--active):visited {
    color: inherit;
}

.tabs__list__item:not(.tabs__list__item--active):hover,
.tabs__list__item:not(.tabs__list__item--active):focus,
.tabs__list__item:not(.tabs__list__item--active):active {
    color: var(--t-gs--color--text--link);
}

.tabs__list__item--active,
.tabs__list__item--active:link,
.tabs__list__item--active:visited,
.tabs__list__item--active:hover,
.tabs__list__item--active:focus,
.tabs__list__item--active:active {
    color: var(--t-gs--color--text--link);
}

+TBD+
*/

/*
    COMPONENTS/Navigation: Tabs: Skills (Override/complement)
*/

/* Media query to target mobile and tablet */
@media all and (max-width:1024px) {
    .tabs--skills .tabs__list {
        inline-size: 100%;
    }

    .tabs--skills .tabs__list__item {
        float: inline-start;
        margin-block-end: -.1rem;
        border-block-end-width: .3rem;
        border-block-end-style: solid;
        padding-block: var(--t-gs--space--s) var(--t-gs--space--xs);
        padding-inline: var(--t-gs--space--m2);
        font-weight: var(--t-gs--font--weight--bold);
    }

    .tabs--skills .tabs__placeholder {
        display: none;
    }

    .tabs--skills .tabs__list__item:not(.tabs__list__item--active) {
        border-block-end-color: var(--t-gs--color--border--transparent);
    }

    .tabs--skills .tabs__list__item--active {
        border-block-end-color: var(--t-gs--color--border--brand);
    }

}

/*
    COMPONENTS: Expandable
*/

.js-expandable-items {
    display: flex;
    flex-wrap: wrap;
}

.js-expandable-items__item.hidden {
    display: none;
}

.js-expandable-items__item {
    display: flex;
}

.js-expandable-items__item .separator {
    margin-inline-start: var(--t-gs--space--s);
    margin-inline-end: var(--t-gs--space--s);
}

.js-expandable-items__toggle {
    border: none;
    padding: var(--t-gs--space--0);
    background: none;
    font-size: inherit;
    cursor: pointer;
    text-decoration: none;
}

/*
    WIDGETS/Attachment upload (New)
*/

.article--attachments-upload {
    border-radius: var(--t-tc--boxes--border--radius);
    border-width: var(--t-gs--border--width--s);
    border-style: dashed;
    border-color: var(--t-tc--boxes--border--color);
    background-color: var(--t-tc--boxes--background--color);
    padding-block: var(--t-tc--boxes--padding--outers);
    padding-inline: var(--t-tc--boxes--padding--outers);
}

.article--attachments-upload .article__header {
    margin-block-end: var(--t-tc--boxes--padding--outers);
    border-block-end-width: var(--t-gs--border--width--s);
    border-block-end-style: solid;
    border-block-end-color: var(--t-gs--color--border--default);
    padding-block-end: var(--t-tc--boxes--padding--outers);
}

.article--attachments-upload .article__header [data-tc-icon] {
    vertical-align: middle;
}

/*
    WIDGETS/Search: Visible (Override/complement)
*/

/* Media query to target only desktop */
@media all and (min-width: 1025px) {
    .section[search-type="visible"] .section__header__text {
        display: flex;
        margin-block-end: var(--t-gs--space--l);
    }
}

/*
    MODULES/Banner: Home (New)
*/

.banner.banner--main {
    --t-tc--banner--height: 23rem;
}

.banner--main--home .banner__wrapper {
    flex-direction: column;
    align-content: center;
    justify-content: center;
}

.banner--main--home .banner__wrapper > * {
    inline-size: 100%;
}

.banner--main--home .banner__form {
    margin-block-start: var(--t-gs--space--l);
}

.banner--main--home {
    background-image: var(--t-tc--home__banner--background--image);

    /* Media query to target only desktop */
    @media all and (min-width: 1025px) {
        & {
            --t-tc--banner--height: calc(var(--t-gs--size--base) * 64);
        }

    }
}

.banner--main--home .banner__wrapper {
    flex-direction: column;
    align-content: center;
    justify-content: center;
}

.banner--main--home .banner__wrapper .banner__text__title,
.banner--main .banner__wrapper .banner__text__title,
.banner--main--home .banner__wrapper .banner__form .tc_formLabel,
.banner--learn .banner__wrapper .title {
    color: var(--t-gs--color--fill--default);
}

.banner--main--home .banner__wrapper > * {
    inline-size: 100%;
}

.banner__form .submitButton {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--tonal);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--tonal);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--tonal);
}

html[data-animations="default"] .banner__wrapper .banner__form .form .submitButton {
    --t-tc--buttons__before--background--color--initial: var(--t-gs--color--fill--tonal--selected);
    --t-tc--buttons__before--background--color--final: var(--t-gs--color--fill--tonal--hover);
}

.banner__wrapper .banner__form .form .submitButton:focus {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--tonal--focus);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--tonal--focus);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--tonal--focus);
}

.banner__wrapper .banner__form .form .submitButton:hover {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--tonal--hover);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--tonal--hover);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--tonal--hover);
}

.banner__wrapper .banner__form .form .submitButton:active {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--tonal--focus);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--tonal--focus);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--tonal--focus);
}

.banner__wrapper .banner__form .form .submitButton.button--disabled,
.banner__wrapper .banner__form .form .submitButton:disabled {
    --t-tc--buttons--border--color: var(--t-gs--color--border--on--fill--tonal--disabled);
    --t-tc--buttons--background--color: var(--t-gs--color--fill--tonal--disabled);
    --t-tc--buttons--font--color: var(--t-gs--color--text--on--fill--tonal--disabled);
}

@media all and (min-width: 751px) {
    .banner--main--home .banner__form .Section{
        display: flex;
        align-items: end;
    }
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .banner.banner--main--home {
        --t-tc--banner--height: 27rem;

        block-size: var(--t-tc--banner--height);
    }

}

/*
    MODULES/Banner: Skills (New)
*/

.banner--skills .banner__wrapper{
    block-size: auto;
    justify-content: center;
}

.banner--skills .banner__text__title,
.banner--skills .banner__text__paragraph {
    text-align: center;
}

.banner--skills .banner__text {
    row-gap: var(--t-gs--space--s2);
}

/*
    MODULES/Banner: Recommendations (New)
*/

.banner--recommendations {
    --t-tc--banner--background--color: var(--t-gs--swatch--brand);

    .banner__wrapper {
        justify-content: center;
    }

    .banner__text {
        display: flex;
        align-items: center;
        column-gap: var(--t-gs--space--l);
        row-gap: var(--t-gs--space--m);
    }

    /* Media query to target mobile and tablet */
    @media all and (max-width: 1024px) {
        .banner__text {
            flex-direction: column;
            text-align: center;
            inline-size: 100%;
        }

        .banner__text__button {
            inline-size: 100%;
        }

    }

    /* Media query to target only desktop */
    @media all and (min-width: 1025px) {
        & {
            --t-tc--banner--height: calc(var(--t-gs--size--base) * 31);
        }

    }
}

/*
    MODULES/Banner: Sure (New)
*/

.banner--sure {
    --t-tc--banner--background--color: var(--t-gs--swatch--brand);

    .banner__wrapper {
        justify-content: center;
    }

    .banner__text {
        align-items: center;
        row-gap: var(--t-gs--space--m);
    }

    .button-bar__wrap {
        align-items: center;
    }

    /* Media query to target mobile and tablet */
    @media all and (max-width: 1024px) {
        & {
            --t-tc--accross--width: 100vw;

            inline-size: var(--t-tc--accross--width);
            position: relative;
            inset-inline-start: 50%;
            inset-inline-end: 50%;
            margin-inline-start: calc(-1 * (var(--t-tc--accross--width) / 2));
            margin-inline-end: calc(-1 * (var(--t-tc--accross--width) / 2));
        }

        .banner__text {
            flex-direction: column;
            text-align: center;
            inline-size: 100%;
        }

        .banner__text__button {
            inline-size: 100%;
        }

    }

    /* Media query to target only desktop */
    @media all and (min-width: 1025px) {
        & {
            --t-tc--banner--height: calc(var(--t-gs--size--base) * 31);
        }

    }
}

/*
    MODULES/Banner: Learn (New)
*/

.banner--learn {
    background-image: var(--t-tc--home__banner--background--image);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    .banner__wrapper {
        flex-direction: column;
        justify-content: center;
        text-align: center;
        gap: var(--t-gs--space--m);
    }

    /* Media query to target mobile and tablet */
    @media all and (max-width: 1024px) {
        .banner__button {
            inline-size: 100%;
        }

    }

    /* Media query to target only desktop */
    @media all and (min-width: 1025px) {
        .banner__wrapper {
            --t-tc--banner--height: calc(var(--t-gs--size--base) * 48);

            max-inline-size:var(--t-tc--content--w--narrower);
        }

    }
}

/*
    MODULES/Banner: Join (New)
*/

.banner--join {
    --t-tc--banner--background--color: var(--t-gs--swatch--brand);

    .banner__wrapper {
        justify-content: center;
    }

    .banner__text {
        align-items: center;
        row-gap: var(--t-gs--space--m);
    }

    .button-bar__wrap {
        align-items: center;
    }

    /* Media query to target mobile and tablet */
    @media all and (max-width: 1024px) {
        & {
            --t-tc--accross--width: 100vw;

            inline-size: var(--t-tc--accross--width);
            position: relative;
            inset-inline-start: 50%;
            inset-inline-end: 50%;
            margin-inline-start: calc(-1 * (var(--t-tc--accross--width) / 2));
            margin-inline-end: calc(-1 * (var(--t-tc--accross--width) / 2));
        }

        .banner__text {
            flex-direction: column;
            text-align: center;
            inline-size: 100%;
        }

        .banner__text__button {
            inline-size: 100%;
        }

    }

    /* Media query to target only desktop */
    @media all and (min-width: 1025px) {
        & {
            --t-tc--banner--height: calc(var(--t-gs--size--base) * 31);
        }

    }
}

/*
    MODULES/Banner: Discover (New)
*/

/*
    MODULES/Banner: Next (New)
*/

/*
    MODULES/Bottom banner
*/

.body--students .section--content-page:has(.bottom-banner) {
    position: relative;
}

/*
    PAGETYPES/Home
*/

*:has( > *) + templatebuilder-page-dropzone > .section.section--explore-areas {
    margin-block-start: var(--t-gs--space--0);
}

.section--explore-areas {
    background-color: var(--t-gs--color--background--secondary);
}

*:has( > *) + templatebuilder-page-dropzone > .section.section--discover-our-culture {
    margin-block-start: calc(2 * var(--t-gs--space--l));
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .section--discover-our-culture {
        text-align: center;
    }
}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--discover-our-culture .grid--2 > .grid__item {
        flex: 0 0 100%;
        max-inline-size: 100%;
    }
}

/* Media query to target only desktop */
@media (min-width: 1025px) {
    .section--discover-our-culture .grid__item:first-of-type {
        padding-inline-end: calc(var(--t-tc--grid--columns--gap) + var(--t-tc--grid--columns--1));
    }
}

/*
    PAGETYPES/Search jobs: Cards: Result (Override/complement)
*/

.section--search-jobs .article--result {
    --t-tc--result--border--radius: var(--t-gs--border--radius--0);
    --t-tc--result--padding--outers--h: var(--t-gs--space--0);
}

.section--search-jobs .article--result + .article--result {
    margin-block-start: var(--t-gs--space--0);
}

/*
    PAGETYPES/Search blogs and Search events: Cards: Result (Override/complement)
*/
@media all and (min-width:750px) {
    .section--search-cards {
        .results__panel > * {
            flex-basis: calc(50% - var(--t-tc--grid--columns--gap));
            max-inline-size: calc(50% - var(--t-tc--grid--columns--gap));
        }

        .article--card .article__header {
            flex-grow:1;
        }

        .article--card .article__content {
            flex-grow:unset;
        }

    }
}

/* UTILITIES: XXX
   -------------------------------------------------------------------------- */
.paragraph--inline {
    margin-inline-end: var(--t-gs--space--s);
}

.section__header__text__subtitle--margin-start {
    margin-block-start: var(--t-gs--space--l);
}

.paragraph--padding-end {
    padding-block-end: var(--t-gs--space--m2);
}

.banner--learn {
    background-image: var(--t-tc--home__banner--background--image);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.table--default tbody tr td:last-child .action+.action--td {
     margin-inline-start: var(--t-gs--space--xs);
}

.action .action--td {
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.action .action--td a {
    text-decoration: none;
    color: inherit;
    font-size: 2.00rem;
}

/* Media query to target only desktop */
@media (min-width: 1025px) {
    .subtabs__list__item + .subtabs__list__item {
        margin-inline-start: var(--t-gs--space--0);
    }
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .glightbox-container .ginner-container,
    .gslide-external {
        block-size: calc(100vh - var(--t-tc--grid--laterals)*2);
        max-block-size: 100vh;
    }
}

/*
    PAGETYPES/Students:
*/

.body--students .section--content-page:has([class*="--bottom-image"]) {
    padding: var(--t-gs--space--0);
}

.body--students [class*="--bottom-image"] .image__container img {
    inline-size: 100%;
}

.section--content-page {
    margin: var(--t-gs--space--0);
    min-block-size: 9rem;
    padding: var(--t-gs--space--m2);
}

.section--content-page:nth-child(1) {
    background: var(--t-gs--color--background--default);
    .body--students & {
        background: var(--t-gs--color--background--default);
    }
}

.section--content-page:nth-child(2) {
    background: linear-gradient(hsla(214, 100%, 95%, 1), var(--t-gs--color--background--default) 50%);
    .body--students & {
        background: linear-gradient(var(--t-gs--color--background--default), hsla(214, 100%, 95%, 1));
    }
}

.section--content-page:nth-child(3) {
    background: hsla(var(--t-gs--swatch--brand--base--hue) var(--t-gs--swatch--brand--base--sat), 98%, 1);
    .body--students & {
        background: hsl(214, 100%, 95%);
    }
}

.section--content-page:nth-child(4) {
    background: var(--t-gs--color--background--default);
    .body--students & {
        background: var(--t-gs--color--background--default);
    }
}

.body--students .section--content-page:nth-child(5) {
    background: hsl(214, 100%, 95%);
}

.body--students .section--content-page:nth-child(6) {
    background: var(--t-gs--color--background--default);
}

.body--students .section--content-page:nth-child(7) {
    background:
        linear-gradient(hsla(250, 100%, 93%, 0.48), hsla(250, 100%, 93%, 0)),
        hsl(214, 100%, 95%);
}

.body--students .section--content-page:nth-child(8) {
    background: hsl(214, 100%, 95%);
}

.section--content-page * ~ article {
    margin-block-start: calc(var(--t-gs--space--base) * 16);
}

/*
    PAGETYPES/Static pages: Text content
*/

.section--content-page .section__content p ~ p,
.section--content-page .article__content p ~ p {
    margin-block-start: var(--t-gs--space--m2);
}

/*
    PAGETYPES/Static pages: Side images
*/

.section--content-page [class*="--with-image"] {
    --floating-image--width: calc(var(--t-gs--size--base) * 128);
    .body--students & {
        --floating-image--width: 47.5%;
    }

    display: flex;
    flex-direction: row;
    align-items: center;
}

.section--content-page [class*="--with-image"] .image__container {
    inline-size: var(--floating-image--width);
    max-inline-size: var(--floating-image--width);

    &.image--left {
        order: -1;
        margin-inline-end: 5%;
    }

    &.image--right {
        order: 99;
        margin-inline-start: 5%;
    }
}

.section--content-page [class*="--with-image"] .image__container ~ * {
    max-inline-size: calc(95% - var(--floating-image--width));
}

/*
    PAGETYPES/Blog detail
*/
.grid--blog-detail>.grid__item:not(:first-of-type):before {
    border-block-start-width: var(--t-gs--border--width--s);
    border-block-start-style: solid;
    border-block-start-color: var(--t-gs--color--border--default);
    inset-block: var(--t-gs--space--s2);
    position: relative;
    content: '';
    margin-block-end: var(--t-gs--space--xl);
}

.jobShareMethods {
    --a-jobShareMethods-button-color: var(--t-gs--color--text--on--fill--tertiary--hover);
}

.section .article--card .article__header .article__header__text__title {
    font-size: 1.8rem;
    overflow: revert;
    white-space: wrap;
}

.section .article--card .article__header .article__header__text__title .link {
    white-space: wrap;
}

.article--card .article__content {
    --t-tc--card--border--width: 0rem;
}

.list-controls__sort [data-component="select"]{
    min-width: 15rem;
}

.section--jobs-slider .article .article__header__text .title--h6{
    --t-tc--title--font--size: var(--t-tc--title--h8);
}

/* Alignment for share jobs popup menu that cuts off */
.jobShareMethods #popup-menu{
    --float-direction: auto !important;
}

.swiper-controls {
    & .swiper-button-next, & .swiper-button-prev {
        &:after {
            font-size: var(--t-gs--font--size--15);
            font-family: var(--t-tc--icon--font--family);
        }
    }
}

/* Search Jobs Article Toggle */

.article--result:not(.article--open) .article__content:has(.article__content__values) {
    visibility: visible;
    max-block-size: unset;
    margin-block-start: var(--t-tc--result--padding--inners--v);
}

.article--result:not(.article--open) .article__content .article__content__description {
    display: none;
}